DRM_VMA_NODE_UNMAP(9)

NAME
drm_vma_node_unmap - Unmap offset node

SYNOPSIS

void drm_vma_node_unmap(struct drm_vma_offset_node * node, struct address_space * file_mapping);

ARGUMENTS

node
    Offset node

file_mapping
    Address space to unmap node from

DESCRIPTION

Unmap all userspace mappings for a given offset node. The mappings must be associated with the file_mapping address-space. If no offset exists nothing is done.

This call is unlocked. The caller must guarantee that drm_vma_offset_remove is not called on this node concurrently.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT